<?php defined('C5_EXECUTE') or die("Access Denied.");

/**
 * Nav Menu package for Concrete5
 * Copyright 2020, Alex Borisov. All Rights Reserved.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @copyright 2018-2020, Alex Borisov. All Rights Reserved.
 * @package Concrete\Package\ab_nav_menu
 */

use Concrete\Core\Form\Service\Widget\FileFolderSelector;
use Concrete\Core\Support\Facade\Url;

$ps = $app->make('helper/form/page_selector')
?>

<style>
input[type="checkbox"] {
    position: relative;
    top: 3px;
    margin-right: 10px !important;
}
</style>

<fieldset class="ab-nav-menu-form">

    <div class="form-group">
        <div class="alert alert-info" role="alert">
            <?php echo t('Nav Menu Block'); ?>
        </div>
    </div>
    
    <div class="form-group">
        <?php
        echo $form->label('parent_page_id', t('Select Parent Page for Nav Menu'));
        echo $ps->selectPage('parent_page_id', $parent_page_id);
        ?>
    </div>
    
    <div class="form-group">
        <?php
        echo $form->label('menu_style', t('Nav Menu Style'));
        echo $form->select('menu_style', $styles, $menu_style);
        ?>
    </div>
    
    <div class="form-group">
        <?php
        echo $form->checkbox('include_home', 1, $include_home ? '1' : '0');
        echo $form->label("include_home", t('Include Home'));
        ?>
    </div>
    
    <div class="form-group">
        <?php
        echo $form->checkbox('show_children', 1, $show_children ? '1' : '0');
        echo $form->label("show_children", t('Show Children'));
        ?>
    </div>
    
    <div class="form-group">
        <?php
        echo $form->checkbox('parent_no_go', 1, $parent_no_go ? '1' : '0');
        echo $form->label("parent_no_go", t('Parent Link No-Go'));
        ?>
    </div>
    
    <div class="form-group">
        <?php
        echo $form->checkbox('show_excluded_from_nav', 1, $show_excluded_from_nav ? '1' : '0');
        echo $form->label("show_excluded_from_nav", t('Show Pages Excluded from Nav'));
        ?>
    </div>
    
</fieldset>
